Index: uspace/lib/c/generic/malloc.c
===================================================================
--- uspace/lib/c/generic/malloc.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/malloc.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -285,7 +285,7 @@
 	/* Align the heap area size on page boundary */
 	size_t asize = ALIGN_UP(size, PAGE_SIZE);
-	void *astart = as_area_create(AS_AREA_ANY, asize,
+	void *astart = as_area_create((void *) -1, asize,
 	    AS_AREA_WRITE | AS_AREA_READ);
-	if (astart == AS_MAP_FAILED)
+	if (astart == (void *) -1)
 		return false;
 	
Index: uspace/lib/c/generic/mman.c
===================================================================
--- uspace/lib/c/generic/mman.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/mman.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -42,5 +42,5 @@
 {
 	if (!start)
-		start = AS_AREA_ANY;
+		start = (void *) -1;
 	
 //	if (!((flags & MAP_SHARED) ^ (flags & MAP_PRIVATE)))
Index: uspace/lib/c/generic/net/socket_client.c
===================================================================
--- uspace/lib/c/generic/net/socket_client.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/net/socket_client.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -283,8 +283,9 @@
 static async_sess_t *socket_get_tcp_sess(void)
 {
-	if (socket_globals.tcp_sess == NULL)
+	if (socket_globals.tcp_sess == NULL) {
 		socket_globals.tcp_sess = service_bind(SERVICE_TCP,
 		    0, 0, SERVICE_TCP, socket_connection);
-	
+	}
+
 	return socket_globals.tcp_sess;
 }
@@ -299,8 +300,9 @@
 static async_sess_t *socket_get_udp_sess(void)
 {
-	if (socket_globals.udp_sess == NULL)
+	if (socket_globals.udp_sess == NULL) {
 		socket_globals.udp_sess = service_bind(SERVICE_UDP,
 		    0, 0, SERVICE_UDP, socket_connection);
-	
+	}
+
 	return socket_globals.udp_sess;
 }
Index: uspace/lib/c/generic/stacktrace.c
===================================================================
--- uspace/lib/c/generic/stacktrace.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/stacktrace.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -38,5 +38,4 @@
 #include <sys/types.h>
 #include <errno.h>
-#include <unistd.h>
 
 static int stacktrace_read_uintptr(void *arg, uintptr_t addr, uintptr_t *data);
Index: uspace/lib/c/generic/stats.c
===================================================================
--- uspace/lib/c/generic/stats.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/stats.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -40,5 +40,4 @@
 #include <inttypes.h>
 #include <malloc.h>
-#include <unistd.h>
 
 #define SYSINFO_STATS_MAX_PATH  64
Index: uspace/lib/c/generic/sysinfo.c
===================================================================
--- uspace/lib/c/generic/sysinfo.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/sysinfo.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -39,5 +39,4 @@
 #include <malloc.h>
 #include <bool.h>
-#include <unistd.h>
 
 /** Get sysinfo keys size
Index: uspace/lib/c/generic/thread.c
===================================================================
--- uspace/lib/c/generic/thread.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/thread.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -41,10 +41,8 @@
 #include <str.h>
 #include <async.h>
-#include <errno.h>
-#include <as.h>
 #include "private/thread.h"
 
-#ifndef THREAD_INITIAL_STACK_PAGES
-	#define THREAD_INITIAL_STACK_PAGES  2
+#ifndef THREAD_INITIAL_STACK_PAGES_NO
+#define THREAD_INITIAL_STACK_PAGES_NO	2 
 #endif
 
@@ -67,10 +65,8 @@
 	
 	uarg->uspace_thread_function(uarg->uspace_thread_arg);
-	/*
-	 * XXX: we cannot free the userspace stack while running on it
-	 *
-	 * free(uarg->uspace_stack);
-	 * free(uarg);
-	 */
+	/* XXX: we cannot free the userspace stack while running on it
+		free(uarg->uspace_stack);
+		free(uarg);
+	*/
 	
 	/* If there is a manager, destroy it */
@@ -96,36 +92,36 @@
     thread_id_t *tid)
 {
-	uspace_arg_t *uarg =
-	    (uspace_arg_t *) malloc(sizeof(uspace_arg_t));
-	if (!uarg)
-		return ENOMEM;
-	
-	size_t stack_size = getpagesize() * THREAD_INITIAL_STACK_PAGES;
-	void *stack = as_area_create(AS_AREA_ANY, stack_size,
-	    AS_AREA_READ | AS_AREA_WRITE | AS_AREA_CACHEABLE);
-	if (stack == AS_MAP_FAILED) {
-		free(uarg);
-		return ENOMEM;
+	char *stack;
+	uspace_arg_t *uarg;
+	int rc;
+
+	stack = (char *) malloc(getpagesize() * THREAD_INITIAL_STACK_PAGES_NO);
+	if (!stack)
+		return -1;
+		
+	uarg = (uspace_arg_t *) malloc(sizeof(uspace_arg_t));
+	if (!uarg) {
+		free(stack);
+		return -1;
 	}
 	
 	uarg->uspace_entry = (void *) FADDR(__thread_entry);
-	uarg->uspace_stack = stack;
-	uarg->uspace_stack_size = stack_size;
+	uarg->uspace_stack = (void *) stack;
 	uarg->uspace_thread_function = function;
 	uarg->uspace_thread_arg = arg;
 	uarg->uspace_uarg = uarg;
 	
-	int rc = __SYSCALL4(SYS_THREAD_CREATE, (sysarg_t) uarg,
-	    (sysarg_t) name, (sysarg_t) str_size(name), (sysarg_t) tid);
+	rc = __SYSCALL4(SYS_THREAD_CREATE, (sysarg_t) uarg, (sysarg_t) name,
+	    (sysarg_t) str_size(name), (sysarg_t) tid);
 	
-	if (rc != EOK) {
+	if (rc) {
 		/*
 		 * Failed to create a new thread.
-		 * Free up the allocated data.
+		 * Free up the allocated structures.
 		 */
-		as_area_destroy(stack);
 		free(uarg);
+		free(stack);
 	}
-	
+
 	return rc;
 }
Index: uspace/lib/c/generic/time.c
===================================================================
--- uspace/lib/c/generic/time.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/generic/time.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -43,5 +43,4 @@
 #include <ddi.h>
 #include <libc.h>
-#include <unistd.h>
 
 /** Pointer to kernel shared variables with time */
Index: uspace/lib/c/include/as.h
===================================================================
--- uspace/lib/c/include/as.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/as.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -41,7 +41,4 @@
 #include <libarch/config.h>
 
-#define AS_AREA_ANY    ((void *) -1)
-#define AS_MAP_FAILED  ((void *) -1)
-
 static inline size_t SIZE2PAGES(size_t size)
 {
Index: uspace/lib/c/include/devman.h
===================================================================
--- uspace/lib/c/include/devman.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/devman.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -64,5 +64,4 @@
     size_t *);
 extern int devman_fun_get_name(devman_handle_t, char *, size_t);
-extern int devman_fun_get_driver_name(devman_handle_t, char *, size_t);
 extern int devman_fun_get_path(devman_handle_t, char *, size_t);
 extern int devman_fun_online(devman_handle_t);
Index: uspace/lib/c/include/errno.h
===================================================================
--- uspace/lib/c/include/errno.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/errno.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -37,4 +37,5 @@
 
 #include <abi/errno.h>
+#include <fibril.h>
 
 #define errno  (*(__errno()))
Index: uspace/lib/c/include/fibril.h
===================================================================
--- uspace/lib/c/include/fibril.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/fibril.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -87,5 +87,4 @@
 
 extern fid_t fibril_create(int (*func)(void *), void *arg);
-extern void fibril_destroy(fid_t fid);
 extern fibril_t *fibril_setup(void);
 extern void fibril_teardown(fibril_t *f);
Index: uspace/lib/c/include/ipc/devman.h
===================================================================
--- uspace/lib/c/include/ipc/devman.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/ipc/devman.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -157,5 +157,4 @@
 	DEVMAN_FUN_GET_CHILD,
 	DEVMAN_FUN_GET_NAME,
-	DEVMAN_FUN_GET_DRIVER_NAME,
 	DEVMAN_FUN_ONLINE,
 	DEVMAN_FUN_OFFLINE,
Index: uspace/lib/c/include/ipc/loc.h
===================================================================
--- uspace/lib/c/include/ipc/loc.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/ipc/loc.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -56,5 +56,4 @@
 	LOC_SERVICE_GET_ID,
 	LOC_SERVICE_GET_NAME,
-	LOC_SERVICE_GET_SERVER_NAME,
 	LOC_NAMESPACE_GET_ID,
 	LOC_CALLBACK_CREATE,
Index: uspace/lib/c/include/loc.h
===================================================================
--- uspace/lib/c/include/loc.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/loc.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -56,5 +56,4 @@
     unsigned int);
 extern int loc_service_get_name(service_id_t, char **);
-extern int loc_service_get_server_name(service_id_t, char **);
 extern int loc_namespace_get_id(const char *, service_id_t *,
     unsigned int);
Index: uspace/lib/c/include/stdarg.h
===================================================================
--- uspace/lib/c/include/stdarg.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/stdarg.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -43,5 +43,4 @@
 #define va_arg(ap, type)    __builtin_va_arg(ap, type)
 #define va_end(ap)          __builtin_va_end(ap)
-#define va_copy(dst, src)   __builtin_va_copy(dst, src)
 
 #endif
Index: uspace/lib/c/include/stdio.h
===================================================================
--- uspace/lib/c/include/stdio.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/stdio.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -39,4 +39,5 @@
 #include <stdarg.h>
 #include <str.h>
+#include <adt/list.h>
 
 #ifndef NVERIFY_PRINTF
Index: uspace/lib/c/include/sys/mman.h
===================================================================
--- uspace/lib/c/include/sys/mman.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/c/include/sys/mman.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -39,5 +39,5 @@
 #include <sys/types.h>
 
-#define MAP_FAILED  AS_MAP_FAILED
+#define MAP_FAILED  ((void *) -1)
 
 #define MAP_SHARED     (1 << 0)
Index: uspace/lib/clui/tinput.h
===================================================================
--- uspace/lib/clui/tinput.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/clui/tinput.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -37,4 +37,6 @@
 #define LIBCLUI_TINPUT_H_
 
+#include <adt/list.h>
+#include <async.h>
 #include <inttypes.h>
 #include <io/console.h>
Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/drv/generic/driver.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -125,17 +125,19 @@
 static void driver_dev_add(ipc_callid_t iid, ipc_call_t *icall)
 {
+	char *dev_name = NULL;
+	int res;
+	
 	devman_handle_t dev_handle = IPC_GET_ARG1(*icall);
 	devman_handle_t parent_fun_handle = IPC_GET_ARG2(*icall);
 	
 	ddf_dev_t *dev = create_device();
-	
+
 	/* Add one reference that will be dropped by driver_dev_remove() */
 	dev_add_ref(dev);
 	dev->handle = dev_handle;
-	
-	char *dev_name = NULL;
+
 	async_data_write_accept((void **) &dev_name, true, 0, 0, 0, 0);
 	dev->name = dev_name;
-	
+
 	/*
 	 * Currently not used, parent fun handle is stored in context
@@ -144,5 +146,5 @@
 	(void) parent_fun_handle;
 	
-	int res = driver->driver_ops->dev_add(dev);
+	res = driver->driver_ops->dev_add(dev);
 	
 	if (res != EOK) {
@@ -161,8 +163,12 @@
 static void driver_dev_remove(ipc_callid_t iid, ipc_call_t *icall)
 {
-	devman_handle_t devh = IPC_GET_ARG1(*icall);
+	devman_handle_t devh;
+	ddf_dev_t *dev;
+	int rc;
+	
+	devh = IPC_GET_ARG1(*icall);
 	
 	fibril_mutex_lock(&devices_mutex);
-	ddf_dev_t *dev = driver_get_device(devh);
+	dev = driver_get_device(devh);
 	if (dev != NULL)
 		dev_add_ref(dev);
@@ -173,6 +179,4 @@
 		return;
 	}
-	
-	int rc;
 	
 	if (driver->driver_ops->dev_remove != NULL)
@@ -189,8 +193,12 @@
 static void driver_dev_gone(ipc_callid_t iid, ipc_call_t *icall)
 {
-	devman_handle_t devh = IPC_GET_ARG1(*icall);
+	devman_handle_t devh;
+	ddf_dev_t *dev;
+	int rc;
+	
+	devh = IPC_GET_ARG1(*icall);
 	
 	fibril_mutex_lock(&devices_mutex);
-	ddf_dev_t *dev = driver_get_device(devh);
+	dev = driver_get_device(devh);
 	if (dev != NULL)
 		dev_add_ref(dev);
@@ -201,6 +209,4 @@
 		return;
 	}
-	
-	int rc;
 	
 	if (driver->driver_ops->dev_gone != NULL)
@@ -217,5 +223,9 @@
 static void driver_fun_online(ipc_callid_t iid, ipc_call_t *icall)
 {
-	devman_handle_t funh = IPC_GET_ARG1(*icall);
+	devman_handle_t funh;
+	ddf_fun_t *fun;
+	int rc;
+	
+	funh = IPC_GET_ARG1(*icall);
 	
 	/*
@@ -226,5 +236,5 @@
 	fibril_mutex_lock(&functions_mutex);
 	
-	ddf_fun_t *fun = driver_get_function(funh);
+	fun = driver_get_function(funh);
 	if (fun != NULL)
 		fun_add_ref(fun);
@@ -238,6 +248,4 @@
 	
 	/* Call driver entry point */
-	int rc;
-	
 	if (driver->driver_ops->fun_online != NULL)
 		rc = driver->driver_ops->fun_online(fun);
@@ -252,5 +260,9 @@
 static void driver_fun_offline(ipc_callid_t iid, ipc_call_t *icall)
 {
-	devman_handle_t funh = IPC_GET_ARG1(*icall);
+	devman_handle_t funh;
+	ddf_fun_t *fun;
+	int rc;
+	
+	funh = IPC_GET_ARG1(*icall);
 	
 	/*
@@ -261,5 +273,5 @@
 	fibril_mutex_lock(&functions_mutex);
 	
-	ddf_fun_t *fun = driver_get_function(funh);
+	fun = driver_get_function(funh);
 	if (fun != NULL)
 		fun_add_ref(fun);
@@ -273,6 +285,4 @@
 	
 	/* Call driver entry point */
-	int rc;
-	
 	if (driver->driver_ops->fun_offline != NULL)
 		rc = driver->driver_ops->fun_offline(fun);
@@ -587,10 +597,12 @@
 void *ddf_dev_data_alloc(ddf_dev_t *dev, size_t size)
 {
+	void *data;
+
 	assert(dev->driver_data == NULL);
-	
-	void *data = calloc(1, size);
+
+	data = calloc(1, size);
 	if (data == NULL)
 		return NULL;
-	
+
 	dev->driver_data = data;
 	return data;
@@ -622,15 +634,17 @@
 ddf_fun_t *ddf_fun_create(ddf_dev_t *dev, fun_type_t ftype, const char *name)
 {
-	ddf_fun_t *fun = create_function();
+	ddf_fun_t *fun;
+
+	fun = create_function();
 	if (fun == NULL)
 		return NULL;
-	
+
 	/* Add one reference that will be dropped by ddf_fun_destroy() */
 	fun->dev = dev;
 	fun_add_ref(fun);
-	
+
 	fun->bound = false;
 	fun->ftype = ftype;
-	
+
 	fun->name = str_dup(name);
 	if (fun->name == NULL) {
@@ -638,5 +652,5 @@
 		return NULL;
 	}
-	
+
 	return fun;
 }
@@ -645,11 +659,13 @@
 void *ddf_fun_data_alloc(ddf_fun_t *fun, size_t size)
 {
+	void *data;
+
 	assert(fun->bound == false);
 	assert(fun->driver_data == NULL);
-	
-	void *data = calloc(1, size);
+
+	data = calloc(1, size);
 	if (data == NULL)
 		return NULL;
-	
+
 	fun->driver_data = data;
 	return data;
@@ -661,11 +677,10 @@
  * must not be bound.
  *
- * @param fun Function to destroy
- *
+ * @param fun		Function to destroy
  */
 void ddf_fun_destroy(ddf_fun_t *fun)
 {
 	assert(fun->bound == false);
-	
+
 	/*
 	 * Drop the reference added by ddf_fun_create(). This will deallocate
@@ -682,5 +697,4 @@
 	if (fun->ops == NULL)
 		return NULL;
-	
 	return fun->ops->interfaces[idx];
 }
@@ -695,8 +709,6 @@
  * the same name.
  *
- * @param fun Function to bind
- *
- * @return EOK on success or negative error code
- *
+ * @param fun		Function to bind
+ * @return		EOK on success or negative error code
  */
 int ddf_fun_bind(ddf_fun_t *fun)
@@ -705,6 +717,8 @@
 	assert(fun->name != NULL);
 	
+	int res;
+	
 	add_to_functions_list(fun);
-	int res = devman_add_function(fun->name, fun->ftype, &fun->match_ids,
+	res = devman_add_function(fun->name, fun->ftype, &fun->match_ids,
 	    fun->dev->handle, &fun->handle);
 	if (res != EOK) {
@@ -722,17 +736,17 @@
  * the function invisible to the system.
  *
- * @param fun Function to unbind
- *
- * @return EOK on success or negative error code
- *
+ * @param fun		Function to unbind
+ * @return		EOK on success or negative error code
  */
 int ddf_fun_unbind(ddf_fun_t *fun)
 {
+	int res;
+	
 	assert(fun->bound == true);
 	
-	int res = devman_remove_function(fun->handle);
+	res = devman_remove_function(fun->handle);
 	if (res != EOK)
 		return res;
-	
+
 	remove_from_functions_list(fun);
 	
@@ -743,14 +757,14 @@
 /** Online function.
  *
- * @param fun Function to online
- *
- * @return EOK on success or negative error code
- *
+ * @param fun		Function to online
+ * @return		EOK on success or negative error code
  */
 int ddf_fun_online(ddf_fun_t *fun)
 {
+	int res;
+	
 	assert(fun->bound == true);
 	
-	int res = devman_drv_fun_online(fun->handle);
+	res = devman_drv_fun_online(fun->handle);
 	if (res != EOK)
 		return res;
@@ -761,14 +775,14 @@
 /** Offline function.
  *
- * @param fun Function to offline
- *
- * @return EOK on success or negative error code
- *
+ * @param fun		Function to offline
+ * @return		EOK on success or negative error code
  */
 int ddf_fun_offline(ddf_fun_t *fun)
 {
+	int res;
+	
 	assert(fun->bound == true);
 	
-	int res = devman_drv_fun_offline(fun->handle);
+	res = devman_drv_fun_offline(fun->handle);
 	if (res != EOK)
 		return res;
@@ -782,19 +796,18 @@
  * Cannot be called when the function node is bound.
  *
- * @param fun          Function
- * @param match_id_str Match string
- * @param match_score  Match score
- *
- * @return EOK on success.
- * @return ENOMEM if out of memory.
- *
+ * @param fun			Function
+ * @param match_id_str		Match string
+ * @param match_score		Match score
+ * @return			EOK on success, ENOMEM if out of memory.
  */
 int ddf_fun_add_match_id(ddf_fun_t *fun, const char *match_id_str,
     int match_score)
 {
+	match_id_t *match_id;
+	
 	assert(fun->bound == false);
 	assert(fun->ftype == fun_inner);
 	
-	match_id_t *match_id = create_match_id();
+	match_id = create_match_id();
 	if (match_id == NULL)
 		return ENOMEM;
@@ -818,5 +831,4 @@
  *
  * Must only be called when the function is bound.
- *
  */
 int ddf_fun_add_to_category(ddf_fun_t *fun, const char *cat_name)
@@ -830,4 +842,6 @@
 int ddf_driver_main(driver_t *drv)
 {
+	int rc;
+
 	/*
 	 * Remember the driver structure - driver_ops will be called by generic
@@ -844,5 +858,5 @@
 	 */
 	async_set_client_connection(driver_connection);
-	int rc = devman_driver_register(driver->name);
+	rc = devman_driver_register(driver->name);
 	if (rc != EOK) {
 		printf("Error: Failed to register driver with device manager "
@@ -850,5 +864,5 @@
 		    str_error(rc));
 		
-		return rc;
+		return 1;
 	}
 	
@@ -856,10 +870,10 @@
 	rc = task_retval(0);
 	if (rc != EOK)
-		return rc;
-	
+		return 1;
+
 	async_manager();
 	
 	/* Never reached. */
-	return EOK;
+	return 0;
 }
 
Index: uspace/lib/drv/generic/interrupt.c
===================================================================
--- uspace/lib/drv/generic/interrupt.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/drv/generic/interrupt.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -117,6 +117,6 @@
 }
 
-static void add_interrupt_context(interrupt_context_list_t *list,
-    interrupt_context_t *ctx)
+static void
+add_interrupt_context(interrupt_context_list_t *list, interrupt_context_t *ctx)
 {
 	fibril_mutex_lock(&list->mutex);
@@ -134,6 +134,6 @@
 }
 
-static interrupt_context_t *find_interrupt_context_by_id(
-    interrupt_context_list_t *list, int id)
+static interrupt_context_t *
+find_interrupt_context_by_id(interrupt_context_list_t *list, int id)
 {
 	interrupt_context_t *ctx;
@@ -153,6 +153,6 @@
 }
 
-static interrupt_context_t *find_interrupt_context(
-    interrupt_context_list_t *list, ddf_dev_t *dev, int irq)
+static interrupt_context_t *
+find_interrupt_context(interrupt_context_list_t *list, ddf_dev_t *dev, int irq)
 {
 	interrupt_context_t *ctx;
@@ -173,6 +173,7 @@
 
 
-int register_interrupt_handler(ddf_dev_t *dev, int irq,
-    interrupt_handler_t *handler, irq_code_t *pseudocode)
+int
+register_interrupt_handler(ddf_dev_t *dev, int irq, interrupt_handler_t *handler,
+    irq_code_t *pseudocode)
 {
 	interrupt_context_t *ctx = create_interrupt_context();
@@ -192,5 +193,5 @@
 		delete_interrupt_context(ctx);
 	}
-	
+
 	return res;
 }
Index: uspace/lib/drv/generic/log.c
===================================================================
--- uspace/lib/drv/generic/log.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/drv/generic/log.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,11 +33,11 @@
 #include <io/log.h>
 #include <stdarg.h>
+
 #include <ddf/log.h>
 
 /** Initialize the logging system.
  *
- * @param drv_name Driver name, will be printed as part of message
- * @param level    Minimum message level to print
- *
+ * @param drv_name	Driver name, will be printed as part of message
+ * @param level		Minimum message level to print
  */
 int ddf_log_init(const char *drv_name, log_level_t level)
@@ -48,14 +48,13 @@
 /** Log a driver message.
  *
- * @param level Message verbosity level. Message is only printed
- *              if verbosity is less than or equal to current
- *              reporting level.
- * @param fmt   Format string (no trailing newline)
- *
+ * @param level		Message verbosity level. Message is only printed
+ *			if verbosity is less than or equal to current
+ *			reporting level.
+ * @param fmt		Format string (no trailing newline)
  */
 void ddf_msg(log_level_t level, const char *fmt, ...)
 {
 	va_list args;
-	
+
 	va_start(args, fmt);
 	log_msgv(level, fmt, args);
Index: uspace/lib/drv/generic/logbuf.c
===================================================================
--- uspace/lib/drv/generic/logbuf.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/drv/generic/logbuf.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -35,5 +35,4 @@
 #include <ddf/log.h>
 #include <assert.h>
-#include <unistd.h>
 
 /** Formatting string for printing number of not-printed items. */
Index: uspace/lib/drv/include/ddf/interrupt.h
===================================================================
--- uspace/lib/drv/include/ddf/interrupt.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/drv/include/ddf/interrupt.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -36,10 +36,9 @@
 #define DDF_INTERRUPT_H_
 
-#include <libarch/common.h>
-#include <libarch/types.h>
 #include <abi/ddi/irq.h>
 #include <adt/list.h>
 #include <ddi.h>
 #include <fibril_synch.h>
+
 #include "driver.h"
 #include "../dev_iface.h"
Index: uspace/lib/fb/imgmap.c
===================================================================
--- uspace/lib/fb/imgmap.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/fb/imgmap.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -420,7 +420,7 @@
 	
 	if ((flags & IMGMAP_FLAG_SHARED) == IMGMAP_FLAG_SHARED) {
-		imgmap = (imgmap_t *) as_area_create(AS_AREA_ANY, size,
+		imgmap = (imgmap_t *) as_area_create((void *) -1, size,
 		    AS_AREA_READ | AS_AREA_WRITE);
-		if (imgmap == AS_MAP_FAILED)
+		if (imgmap == (void *) -1)
 			return NULL;
 	} else {
Index: uspace/lib/fb/screenbuffer.c
===================================================================
--- uspace/lib/fb/screenbuffer.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/fb/screenbuffer.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -79,7 +79,7 @@
 	
 	if ((flags & SCREENBUFFER_FLAG_SHARED) == SCREENBUFFER_FLAG_SHARED) {
-		scrbuf = (screenbuffer_t *) as_area_create(AS_AREA_ANY, size,
+		scrbuf = (screenbuffer_t *) as_area_create((void *) -1, size,
 		    AS_AREA_READ | AS_AREA_WRITE | AS_AREA_CACHEABLE);
-		if (scrbuf == AS_MAP_FAILED)
+		if (scrbuf == (void *) -1)
 			return NULL;
 	} else {
Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/fs/libfs.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -339,5 +339,5 @@
 	 */
 	rc = async_share_in_start_0_0(exch, PLB_SIZE, (void *) &reg.plb_ro);
-	if (reg.plb_ro == AS_MAP_FAILED) {
+	if (reg.plb_ro == (void *) -1) {
 		async_exchange_end(exch);
 		async_forget(req);
Index: uspace/lib/nic/src/nic_driver.c
===================================================================
--- uspace/lib/nic/src/nic_driver.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/nic/src/nic_driver.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -79,5 +79,6 @@
 }
 
-/** Fill in the default implementations for device options and NIC interface.
+/**
+ * Fill in the default implementations for device options and NIC interface.
  *
  * @param driver_ops
Index: uspace/lib/posix/Makefile
===================================================================
--- uspace/lib/posix/Makefile	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/Makefile	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -43,5 +43,4 @@
 	fcntl.c \
 	fnmatch.c \
-	getopt.c \
 	locale.c \
 	math.c \
Index: uspace/lib/posix/errno.h
===================================================================
--- uspace/lib/posix/errno.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/errno.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -66,6 +66,4 @@
 #undef errno
 #define errno (*__posix_errno())
-
-#include "unistd.h"
 
 extern int *__posix_errno(void);
Index: uspace/lib/posix/pwd.c
===================================================================
--- uspace/lib/posix/pwd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/pwd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -38,5 +38,4 @@
 #include "string.h"
 #include "errno.h"
-#include "assert.h"
 
 static bool entry_read = false;
Index: uspace/lib/posix/stdbool.h
===================================================================
--- uspace/lib/posix/stdbool.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/stdbool.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -37,13 +37,6 @@
 
 #ifdef LIBC_BOOL_H_
-
-#if (!defined(POSIX_STDIO_H_)) && \
-    (!defined(POSIX_STDLIB_H_)) && \
-    (!defined(POSIX_STRING_H_))
 	#error "You can't include bool.h and stdbool.h at the same time."
 #endif
-
-#endif /* LIBC_BOOL_H */
-
 #define LIBC_BOOL_H_
 
Index: uspace/lib/posix/stdio.h
===================================================================
--- uspace/lib/posix/stdio.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/stdio.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -37,6 +37,4 @@
 #define POSIX_STDIO_H_
 
-#include "stddef.h"
-#include "unistd.h"
 #include "libc/stdio.h"
 #include "sys/types.h"
Index: uspace/lib/posix/time.c
===================================================================
--- uspace/lib/posix/time.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/time.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -45,5 +45,4 @@
 #include "errno.h"
 #include "signal.h"
-#include "assert.h"
 
 #include "libc/malloc.h"
Index: uspace/lib/posix/unistd.c
===================================================================
--- uspace/lib/posix/unistd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/unistd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -49,5 +49,4 @@
 /* Array of environment variable strings (NAME=VALUE). */
 char **posix_environ = NULL;
-char *posix_optarg;
 
 /**
Index: uspace/lib/posix/unistd.h
===================================================================
--- uspace/lib/posix/unistd.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/posix/unistd.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -43,7 +43,8 @@
 #define _exit exit
 
-extern char *posix_optarg;
+/* Option Arguments */
+extern char *optarg;
 extern int optind, opterr, optopt;
-extern int posix_getopt(int, char * const [], const char *);
+extern int getopt(int, char * const [], const char *);
 
 /* Environment */
@@ -143,7 +144,4 @@
 
 #ifndef LIBPOSIX_INTERNAL
-	#define getopt posix_getopt
-	#define optarg posix_optarg
-
 	#define environ posix_environ
 
Index: uspace/lib/usb/include/usb/ddfiface.h
===================================================================
--- uspace/lib/usb/include/usb/ddfiface.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usb/include/usb/ddfiface.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,5 +33,4 @@
  * Implementations of DDF interfaces functions.
  */
-
 #ifndef LIBUSB_DDFIFACE_H_
 #define LIBUSB_DDFIFACE_H_
@@ -40,15 +39,14 @@
 #include <usb_iface.h>
 
-extern int usb_iface_get_hc_handle_device_impl(ddf_fun_t *, devman_handle_t *);
-extern int usb_iface_get_my_address_forward_impl(ddf_fun_t *, usb_address_t *);
+int usb_iface_get_hc_handle_device_impl(ddf_fun_t *, devman_handle_t *);
+int usb_iface_get_my_address_forward_impl(ddf_fun_t *, usb_address_t *);
 extern usb_iface_t usb_iface_hub_impl;
 
-extern int usb_iface_get_my_address_from_device_data(ddf_fun_t *, usb_address_t *);
+int usb_iface_get_my_address_from_device_data(ddf_fun_t *, usb_address_t *);
 extern usb_iface_t usb_iface_hub_child_impl;
 
-extern int usb_iface_get_hc_handle_hc_impl(ddf_fun_t *, devman_handle_t *);
+int usb_iface_get_hc_handle_hc_impl(ddf_fun_t *, devman_handle_t *);
 
 #endif
-
 /**
  * @}
